## com.imcode.imcms.servlet
Class GetDoc

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.GetDoc

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class GetDoc

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_PARAMETER__FILE_ID`

Constructor Summary
`GetDoc()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` doGet()
`void` `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`static void` `viewDoc(DocumentDomainObject document, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`static void` `viewDoc(java.lang.String documentId, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__FILE_ID

    public static final java.lang.String REQUEST_PARAMETER__FILE_ID

See Also:
  Constant Field Values

Constructor Detail

### GetDoc

    public GetDoc()

Method Detail

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws javax.servlet.ServletException,
                      java.io.IOException

  doGet()

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### viewDoc

    public static void viewDoc(java.lang.String documentId,
                               javax.servlet.http.HttpServletRequest req,
                               javax.servlet.http.HttpServletResponse res)
                        throws java.io.IOException,
                               javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### viewDoc

    public static void viewDoc(DocumentDomainObject document,
                               javax.servlet.http.HttpServletRequest req,
                               javax.servlet.http.HttpServletResponse res)
                        throws java.io.IOException,
                               javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`